Subject: bug#78995: [PATCH] ;;;autoload-expand for special macros

From: Stefan Monnier <[email-masked]>
Date: Sat, 12 Jul 2025 12:12:42 -0400

> One question on nesting of macros: I'm wondering whether
> an ;;;###autoload-expand should result in using `EXPANSION=force' in all
> recursive calls to `loaddefs-generate--make-autoload'.  I.e. should all
> macros be _recursively_ expanded with `force'?  This would allow nesting,
> e.g. a macro wrapping a macro which itself wraps `define-minor-mode'.
> But it would also expand all other macros encountered in the expansion,
> which could be problematic.  My instinct is that one level of such forced
> macro expansion is all that can be safely supported.

Another way might be to replace the `;;;###autoload-expand` marker with
an list of of macros which should be expanded (i.e. a way to extent the
hardcoded list).

        Stefan